﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using IngredConvert;

namespace EzConvertCmd
{
    class Program
    {
        static void Main(string[] args)
        {
            List<testUnit> tests = new List<testUnit> {
                //new testUnit{ input = "1/7 tsp", calc = IngredientConverter.Calc.Mult, mod = 1 },
                //new testUnit{ input = "1/9 tsp", calc = IngredientConverter.Calc.Mult, mod = 1 },
                //new testUnit{ input = "1 potato", calc = IngredientConverter.Calc.Div, mod = 8 },
                //new testUnit{ input = "3 lbs 9 oz", calc = IngredientConverter.Calc.Mult, mod = 3 },
                //new testUnit{ input = "1/4 c 1/2 tsp", calc = IngredientConverter.Calc.Mult, mod = 3 },
                //new testUnit{ input = "1/4 c 1/2 lb", calc = IngredientConverter.Calc.Mult, mod = 3 },
                //new testUnit{ input = "1.c", calc = IngredientConverter.Calc.Mult, mod = 3 },
                //new testUnit{ input = "5 lb. potatoes", calc = IngredientConverter.Calc.Div, mod = 8 },
                //new testUnit{ input = "5 a 2 b", calc = IngredientConverter.Calc.Div, mod = 8 },
                //new testUnit{ input = "3 tbsp , 1/2 tsp", calc = IngredientConverter.Calc.Div, mod = 8 },
                //new testUnit{ input = "1/3 cu", calc = IngredientConverter.Calc.Div, mod = 1 },
                new testUnit{ input = "1/3 C", calc = IngredientConverter.Calc.Mult, mod = 1 },
                new testUnit{ input = "1/3 C", calc = IngredientConverter.Calc.Mult, mod = 3 }
            };
            foreach (testUnit test in tests)
                Console.WriteLine(
                    test.input +
                    (test.calc == IngredientConverter.Calc.Mult ? " * " : " / ") +
                    test.mod +
                    " = \t" +
                    new IngredientConverter().Convert(test));
            Console.WriteLine("\ndone");
            Console.ReadLine();
        }
    }
}
